#
# spec file for package python-zope.proxy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.proxy
Version:        4.2.1
Release:        bp153.1.22
Summary:        Generic Transparent Proxies
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/zope.proxy
Source:         https://files.pythonhosted.org/packages/source/z/zope.proxy/zope.proxy-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.interface}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%ifpython3
Conflicts:      python3-zope-proxy < %{version}
%endif

%python_subpackages

%description
Proxies are special objects which serve as mostly-transparent wrappers around
another object, intervening in the apparent behavior of the wrapped object only
when necessary to apply the policy (e.g., access checking, location brokering,
etc.) for which the proxy is responsible.

%package        devel
Summary:        Generic Transparent Proxies
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
%ifpython3
Provides:       python3-zope-proxy = %{version}
Obsoletes:      python3-zope-proxy < %{version}
%endif

%description    devel
This package contains the files needed for binding the %{name} C module.

%prep
%setup -q -n zope.proxy-%{version}
rm -rf zope.proxy.egg-info

%build
%python_build

%install
%python_install
%{python_expand rm %{buildroot}%{$python_sitearch}/zope/proxy/_zope_proxy_proxy.c
  %fdupes %{buildroot}%{$python_sitearch}
}

%files %{python_files}
%defattr(-,root,root,-)
%doc COPYRIGHT.txt LICENSE.txt CHANGES.rst README.rst
%exclude %{python_sitearch}/zope/proxy/proxy.h
%{python_sitearch}/*

%files %{python_files devel}
%defattr(-,root,root,-)
%dir %{python_sysconfig_path include}/zope.proxy
%{python_sysconfig_path include}/zope.proxy/*
%{python_sitearch}/zope/proxy/proxy.h

%changelog
* Fri Sep 22 2017 toddrme2178@gmail.com
- Still need to conflict with python3-zopy-proxy.
* Mon Sep 18 2017 toddrme2178@gmail.com
- Provides/Obsoletes should be on the -devel package since
  python3-zope-proxy has the devel files.
* Thu Sep  7 2017 toddrme2178@gmail.com
- Fix conflicts with python3-zope-proxy
* Thu Jul 13 2017 aloisio@gmx.com
- Update to version 4.2.1
  * Make the pure-Python implementation of sameProxiedObjects handle
    zope.security proxies. See issue 15.
  * Add support for Python 3.6.
  4.2.0:
  * Correctly strip zope.security proxies in removeAllProxies.
    See issue 13.
  * Avoid poisoning the user’s global wheel cache when testing
    PURE_PYTHON environments under tox,
  * Drop support for Python 2.6 and 3.2.
  * Add support for Python 3.5.
  4.1.6:
  * Make subclasses of ProxyBase properly delegate __module__ to the
    wrapped object. This fixes some zope.interface lookups under
    PyPy.
  * Make the pure-Python implementation of ProxyBase properly report
    the zope.interface interfaces implemented by builtin types like
    list. This fixes some zope.interface lookups under PyPy.
  4.1.5:
  * Make the C implementation proxy __unicode__ correctly.
  * Make the C implementation use the standard methods to proxy int
    and float.
  * Make the pure Python implementation handle descriptors defined
    in subclasses like the C version.
    See https://github.com/zopefoundation/zope.proxy/issues/5.
- Split docs and tests into separate -doc package since running
  tests and sometimes building docs had become very messy.
  Also see (gh#/zopefoundation/zope.proxy#18)
- Converted to single-spec
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.1.4:
  * Added support for Python 3.4.
  * Updated bootstrap.py to version 2.2.
- point the source URL to pypi
- pass -q to test to avoid spamming the build log
* Mon Jul 29 2013 hpj@urpla.net
- version 4.1.3: initial build
